Bug 53063

Summary: [NRWT] Remove TestArgs class
Product: WebKit Reporter: Hayato Ito <hayato>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: dpranke, eric, mihai, ojan, tony
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: PC   
OS: OS X 10.5   
Bug Depends on: 53004    
Bug Blocks: 51091, 53071    
Attachments:
Description Flags
remove-testargs
none
remove-testargs--review-ready eric: review+

Description Hayato Ito 2011-01-24 21:55:28 PST
It seems we can get rid of TestArgs class in new-run-webkit-tests. TestArgs class is defined in webkitpy/layout_tests/test_types/test_type_base.py.

TestArgs has fields of new_baseline, png_path, hash and wdiff, but only a new_baseline (and reset_results, which is wrongly assigned) field is used in actual code.

That class is used only in test_type::compare_output() as a parameter, but there TestArgs parameter can be replaced with 'options'.
Comment 1 Hayato Ito 2011-01-24 21:58:49 PST
Created attachment 80019 [details]
remove-testargs
Comment 2 Dirk Pranke 2011-01-24 23:22:49 PST
Yup, looks good to me (but I'm not a reviewer).
Comment 3 Dirk Pranke 2011-01-24 23:23:20 PST
adding more people who are reviewers ...
Comment 4 Ojan Vafai 2011-01-25 00:09:29 PST
Comment on attachment 80019 [details]
remove-testargs

I fully support deleting code.
Comment 5 Hayato Ito 2011-01-25 00:23:05 PST
This patch (A) depends on other patch (B), https://bugs.webkit.org/show_bug.cgi?id=53004, which is under the review.
There is no strong relation between (A) and (B), but we should wait for patch (B) to apply this patch (A).

I'll set review flag and update this bugzilla entry once patch (B) is landed.
Comment 6 Hayato Ito 2011-02-03 22:09:38 PST
Created attachment 81188 [details]
remove-testargs--review-ready
Comment 7 Hayato Ito 2011-02-03 22:10:26 PST
The patch is now ready to be reviewed.
Comment 8 Eric Seidel (no email) 2011-02-03 22:20:54 PST
Comment on attachment 81188 [details]
remove-testargs--review-ready

OK.
Comment 9 Hayato Ito 2011-02-03 22:26:53 PST
Committed r77606: <http://trac.webkit.org/changeset/77606>